Subject: Re: [alto] [Editorial Errata Reported] RFC7285 (6876)

From: Sebastian Kiesel <[email-masked]>
Date: Thu, 7 Apr 2022 11:35:18 +0200

Hi Chris, Med, all,

how do we move on here?

my opinion is that the reported errata is not imperative to be recorded,
but if we decide to do so, I would consider this as an editorial errata
and I would really appreciate if we could add the proposed "Note: ..."
sentence below the table (see quoted mail below), to make it absolutely
clear that no policy or specification change is intended.

who needs to sign off on that errata?

(same for the other reported errata case)

Thanks
Sebastian

On Thu, Mar 10, 2022 at 12:21:19PM +0000, [email-masked] wrote:
> Hi Sebastien, all, 
> 
> Works for me. Thanks. 
> 
> Cheers,
> Med
> 
> > -----Message d'origine-----
> > De : Sebastian Kiesel <[email-masked]>
> > Envoyé : jeudi 10 mars 2022 13:17
> > À : Chris Smiley <[email-masked]>
> > Cc : [email-masked]; Zaheduzzaman Sarker
> > <[email-masked]>; BOUCADAIR Mohamed INNOV/NET
> > <[email-masked]>; [email-masked]; [email-masked];
> > [email-masked]; [email-masked]; [email-masked];
> > [email-masked]; [email-masked]; [email-masked];
> > RFC Errata System <[email-masked]>
> > Objet : Re: [Editorial Errata Reported] RFC7285 (6876)
> > 
> > Hi Med,
> > 
> > similar to the other case 6874, I think we should clarify that no policy
> > change is intended, so:
> > 
> > 
> > Type: Editorial
> > Reported by: Mohamed BOUCADAIR <[email-masked]>
> > 
> > Section: 14.3
> > 
> > Original Text
> > -------------
> >                    +------------+--------------------+
> >                    | Identifier | Intended Semantics |
> >                    +------------+--------------------+
> >                    | pid        | See Section 7.1.1  |
> >                    | priv:      | Private use        |
> >                    +------------+--------------------+
> > 
> >                   Table 4: ALTO Endpoint Property Types
> > 
> > 
> > Corrected Text
> > --------------
> >                    +------------+--------------------+
> >                    | Identifier | Intended Semantics |
> >                    +------------+--------------------+
> >                    | pid        | See Section 7.1.1  |
> >                    +------------+--------------------+
> > 
> >                    Note: Identifiers prefixed with "priv:" are
> >                    reserved for Private Use (see Section 10.8.2.)
> > 
> >                   Table 4: ALTO Endpoint Property Types
> > 
> > 
> > would that work for you?
> > 
> > thanks
> > Sebastian
> > 
> > On Wed, Mar 09, 2022 at 01:23:35PM -0800, Chris Smiley wrote:
> > >
> > > Greetings,
> > >
> > > We are unable to verify this erratum that the submitter marked as
> > editorial.
> > > Please note that we have changed the “Type” of the following errata
> > > report to “Technical”.  As Stream Approver, please review and set the
> > > Status and Type accordingly (see the definitions at
> > > https://www.rfc-editor.org/errata-definitions/).
> > >
> > > You may review the report at:
> > > https://www.rfc-editor.org/errata/eid6876
> > >
> > > Please see https://www.rfc-editor.org/how-to-verify/ for further
> > > information on how to verify errata reports.
> > >
> > > Further information on errata can be found at:
> > > https://www.rfc-editor.org/errata.php.
> > >
> > > Thank you.
> > >
> > > RFC Editor/cs
> > >
> > >
> > > > On Mar 8, 2022, at 10:21 PM, RFC Errata System <rfc-editor@rfc-
> > editor.org> wrote:
> > > >
> > > > The following errata report has been submitted for RFC7285,
> > > > "Application-Layer Traffic Optimization (ALTO) Protocol".
> > > >
> > > > --------------------------------------
> > > > You may review the report below and at:
> > > > https://www.rfc-editor.org/errata/eid6876
> > > >
> > > > --------------------------------------
> > > > Type: Editorial
> > > > Reported by: Mohamed BOUCADAIR <[email-masked]>
> > > >
> > > > Section: 14.3
> > > >
> > > > Original Text
> > > > -------------
> > > >                    +------------+--------------------+
> > > >                    | Identifier | Intended Semantics |
> > > >                    +------------+--------------------+
> > > >                    | pid        | See Section 7.1.1  |
> > > >                    | priv:      | Private use        |
> > > >                    +------------+--------------------+
> > > >
> > > >                   Table 4: ALTO Endpoint Property Types
> > > >
> > > >
> > > > Corrected Text
> > > > --------------
> > > >                    +------------+--------------------+
> > > >                    | Identifier | Intended Semantics |
> > > >                    +------------+--------------------+
> > > >                    | pid        | See Section 7.1.1  |
> > > >                    +------------+--------------------+
> > > >
> > > >                   Table 4: ALTO Endpoint Property Types
> > > >
> > > >
> > > > Notes
> > > > -----
> > > > priv: is not an identifier, but a prefix.
> > > >
> > > > Instructions:
> > > > -------------
> > > > This erratum is currently posted as "Reported". If necessary, please
> > > > use "Reply All" to discuss whether it should be verified or
> > > > rejected. When a decision is reached, the verifying party can log in
> > > > to change the status and edit the report, if necessary.
> > > >
> > > > --------------------------------------
> > > > RFC7285 (draft-ietf-alto-protocol-27)
> > > > --------------------------------------
> > > > Title               : Application-Layer Traffic Optimization (ALTO)
> > Protocol
> > > > Publication Date    : September 2014
> > > > Author(s)           : R. Alimi, Ed., R. Penno, Ed., Y. Yang, Ed., S.
> > Kiesel, S. Previdi, W. Roome, S. Shalunov, R. Woundy
> > > > Category            : PROPOSED STANDARD
> > > > Source              : Application-Layer Traffic Optimization
> > > > Area                : Transport
> > > > Stream              : IETF
> > > > Verifying Party     : IESG
> > > >
> > >
> 
> _________________________________________________________________________________________________________________________
> 
> Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
> pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
> a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
> Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.
> 
> This message and its attachments may contain confidential or privileged information that may be protected by law;
> they should not be distributed, used or copied without authorisation.
> If you have received this email in error, please notify the sender and delete this message and its attachments.
> As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
> Thank you.
>

---

From: <[email-masked]>
Date: Fri, 8 Apr 2022 04:47:28 +0000

Hi Sebastien,

I can't act on the erratum to update the "Corrected Text" to reflect what we agreed together. 

I guess Martin or the RFC editor can make that update and then mark it as verified. Doing so would allow the corrected text to be seen as part of the rendered RFC version (https://www.rfc-editor.org/rfc/inline-errata/rfc7285.html). 

Cheers,
Med

> Envoyé : jeudi 7 avril 2022 11:35
> À : BOUCADAIR Mohamed INNOV/NET <[email-masked]>
> Cc : Chris Smiley <[email-masked]>; [email-masked];
> Zaheduzzaman Sarker <[email-masked]>;
> [email-masked]; [email-masked]; [email-masked];
> [email-masked]; [email-masked];
> [email-masked]; [email-masked];
> [email-masked]; RFC Errata System <[email-masked]>
> my opinion is that the reported errata is not imperative to be
> recorded, but if we decide to do so, I would consider this as an
> editorial errata and I would really appreciate if we could add the
> proposed "Note: ..."
> sentence below the table (see quoted mail below), to make it
> absolutely clear that no policy or specification change is
> intended.
> 
> > > De : Sebastian Kiesel <[email-masked]> Envoyé : jeudi 10
> mars
> > > 2022 13:17 À : Chris Smiley <[email-masked]> Cc :
> > > [email-masked]; Zaheduzzaman Sarker
> > > <[email-masked]>; [email-masked];
> > > [email-masked]; [email-masked]; [email-masked];
> > > [email-masked]; [email-masked];
> > > [email-masked]; [email-masked]; RFC Errata
> System
> > > <[email-masked]> Objet : Re: [Editorial Errata
> Reported]
> > > RFC7285 (6876)
> > >
> > > Hi Med,
> > >
> > > similar to the other case 6874, I think we should clarify that
> no
> > > policy change is intended, so:
> > >
> > >
> > > Type: Editorial
> > > > Please note that we have changed the “Type” of the following
> > > > errata report to “Technical”.  As Stream Approver, please
> review
> > > > and set the Status and Type accordingly (see the definitions
> at
> > > > > This erratum is currently posted as "Reported". If
> necessary,
> > > > > please use "Reply All" to discuss whether it should be
> verified
> > > > > or rejected. When a decision is reached, the verifying
> party can
> > > > > log in to change the status and edit the report, if
> necessary.
> > > > >